I2D_CMS_BIO_STREAM(3)

NAME
i2d_CMS_bio_stream - output CMS_ContentInfo structure in BER format

SYNOPSIS
#include <openssl/cms.h>
int
i2d_CMS_bio_stream(BIO *out, CMS_ContentInfo *cms, BIO *data, int flags);

DESCRIPTION
i2d_CMS_bio_stream() outputs a CMS_ContentInfo structure in BER format.

It is otherwise identical to the function SMIME_write_CMS(3).

This function is effectively a version of i2d_CMS_bio(3) supporting streaming.

RETURN VALUES
i2d_CMS_bio_stream() returns 1 for success or 0 for failure.

SEE ALSO
CMS_ContentInfo_new(3), CMS_encrypt(3), CMS_sign(3), ERR_get_error(3), PEM_write_bio_CMS_stream(3), SMIME_write_CMS(3)

HISTORY
i2d_CMS_bio_stream() first appeared in OpenSSL 1.0.0 and has been available since OpenBSD 6.7.

BUGS
The prefix "i2d" is arguably wrong because the function outputs BER format.